#!/bin/sh
base=`dirname "$0"`
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
SOURCE_PATH=`dirname "$0"`/../home-config-decoders
RESPONSE=$(alert "Ready to install the new decoders to $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	copyattr -d $SOURCE_PATH/[dD]ivx* $DECODER_PATH
	copyattr -d $SOURCE_PATH/ff* $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.dll $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.DLL $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.acm* $DECODER_PATH
	copyattr -d $SOURCE_PATH/mpeg1audio_fh.decoder $DECODER_PATH/mpeg1audio_fh.decoder
	alert "Done installing home-config-decoders." "Ok"
fi
# home config encoders
DECODER_PATH=/boot/home/config/add-ons/media/encoders
SOURCE_PATH=`dirname "$0"`/../home-config-encoders
RESPONSE=$(alert "Ready to install the new divx.encoder to $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	copyattr -d $SOURCE_PATH/divx.encoder $DECODER_PATH/divx.encoder
	alert "Done installing the new divx.encoder." "Ok"
fi
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
SOURCE_PATH=`dirname "$0"`/../beos-system-decoders
RESPONSE=$(alert "Ready to install the new decoders to $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	copyattr -d $SOURCE_PATH/[dD]ivx* $DECODER_PATH
	copyattr -d $SOURCE_PATH/ff* $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.dll $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.DLL $DECODER_PATH
	copyattr -d $SOURCE_PATH/*.acm* $DECODER_PATH
	copyattr -d $SOURCE_PATH/mpeg1audio_fh.decoder $DECODER_PATH/mpeg1audio_fh.decoder
	alert "Done installing beos-system-decoders." "Ok"
fi
# home config
LIB_PATH=/boot/home/config/lib
SOURCE_PATH=`dirname "$0"`/../home-config-lib
RESPONSE=$(alert "Ready to install HybridDivx libraries to $LIB_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	copyattr -d $SOURCE_PATH/libavcodec.so $LIB_PATH/libavcodec.so
	copyattr -d $SOURCE_PATH/mpeg1audio_fh.decoder $LIB_PATH/mpeg1audio_fh.decoder
	alert "Done installing HybridDivx libraries." "Ok"
fi
# goodbye!
alert "All HybridDivx files installed.  Please restart your media services.  Please note in rare circumstances you may have to reboot." "Thanks!"
